Bug 80911 - Move wtf/Platform.h from JavaScriptCore to Source/WTF/wtf
: Move wtf/Platform.h from JavaScriptCore to Source/WTF/wtf
Status: RESOLVED FIXED
: WebKit
New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
: 80680 81281
: 75673
  Show dependency treegraph
 
Reported: 2012-03-12 17:29 PST by
Modified: 2012-03-21 09:26 PST (History)


Attachments
Patch (76.08 KB, patch)
2012-03-12 17:32 PST, Eric Seidel
no flags Review Patch | Details | Formatted Diff | Diff
Blind stab at making Qt/EFL build (76.99 KB, patch)
2012-03-12 17:45 PST, Eric Seidel
no flags Review Patch | Details | Formatted Diff | Diff
Should fix chromium (73.02 KB, patch)
2012-03-19 16:02 PST, Eric Seidel
no flags Review Patch | Details | Formatted Diff | Diff
might fix Qt (74.15 KB, patch)
2012-03-19 16:11 PST, Eric Seidel
no flags Review Patch | Details | Formatted Diff | Diff
Should fix EFL and CMake in general (75.67 KB, patch)
2012-03-19 16:40 PST, Raphael Kubo da Costa (:rakuco)
no flags Review Patch | Details | Formatted Diff | Diff
fix Mac (79.28 KB, patch)
2012-03-19 18:51 PST, Eric Seidel
no flags Review Patch | Details | Formatted Diff | Diff
attempt to fix Qt (82.20 KB, patch)
2012-03-19 22:45 PST, Eric Seidel
no flags Review Patch | Details | Formatted Diff | Diff
attempt to fix qt-wk2 (83.91 KB, patch)
2012-03-19 23:49 PST, Eric Seidel
no flags Review Patch | Details | Formatted Diff | Diff
Another attempt to fix qt-wk2 (84.43 KB, patch)
2012-03-20 00:43 PST, Eric Seidel
no flags Review Patch | Details | Formatted Diff | Diff
FixEfl (85.69 KB, patch)
2012-03-20 01:49 PST, Ryuan Choi
no flags Review Patch | Details | Formatted Diff | Diff
Fix Qt build based on attachment-132779 (86.20 KB, patch)
2012-03-20 03:41 PST, Csaba Osztrogonác
no flags Review Patch | Details | Formatted Diff | Diff
Attempt to fix Win-EWS (89.94 KB, patch)
2012-03-20 11:03 PST, Eric Seidel
no flags Review Patch | Details | Formatted Diff | Diff
Attempt to fix win-ews again (88.89 KB, patch)
2012-03-20 15:09 PST, Eric Seidel
no flags Review Patch | Details | Formatted Diff | Diff
Attempt to fix win-ews again (89.72 KB, patch)
2012-03-20 15:39 PST, Eric Seidel
no flags Review Patch | Details | Formatted Diff | Diff
another attempt to fix win-ews (91.60 KB, patch)
2012-03-20 16:18 PST, Eric Seidel
no flags Review Patch | Details | Formatted Diff | Diff
Patch (95.95 KB, patch)
2012-03-20 17:07 PST, Eric Seidel
abarth: review+
webkit.review.bot: commit‑queue-
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-03-12 17:29:30 PST
Move wtf/Platform.h from JavaScriptCore to Source/WTF/wtf
------- Comment #1 From 2012-03-12 17:32:14 PST -------
Created an attachment (id=131469) [details]
Patch
------- Comment #2 From 2012-03-12 17:33:31 PST -------
The goal of this patch is to test and see how badly I break the variou EWSes.  Once I get Platform.h moved and successfully building, I will try moving a .h and .cpp pair.  Once I get all the builds successfully linking with that, then I will announce on webkit-dev and do the final move.
------- Comment #3 From 2012-03-12 17:35:22 PST -------
Qt's current setup is very nice, and will make the final full move very easy.  It's not clear to me how I can do a partial move (just one header) with Qt's current VPATH setup.  I suspect I may have to use something like:

../../WTF/wtf/Platform.h in their file list. :)
------- Comment #4 From 2012-03-12 17:45:06 PST -------
Created an attachment (id=131472) [details]
Blind stab at making Qt/EFL build
------- Comment #5 From 2012-03-12 17:45:59 PST -------
It's actually more likely that I'll have to fix header include paths for Gtk/Qt/EFL/Chromium to include Source/WTF in WebCore, WebKit, etc.
------- Comment #6 From 2012-03-12 18:57:36 PST -------
(From update of attachment 131472 [details])
Attachment 131472 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/11949159
------- Comment #7 From 2012-03-12 19:12:20 PST -------
(From update of attachment 131472 [details])
Attachment 131472 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/11947258
------- Comment #8 From 2012-03-12 20:53:59 PST -------
(From update of attachment 131472 [details])
Attachment 131472 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/11942298
------- Comment #9 From 2012-03-12 23:55:58 PST -------
(From update of attachment 131472 [details])
Attachment 131472 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/11947363
------- Comment #10 From 2012-03-15 17:35:45 PST -------
The cr-linux ews bubble will be fixed once bug 81281 lands.  I'll look at what's needed to fix qt, win, efl shortly.
------- Comment #11 From 2012-03-19 16:02:33 PST -------
Created an attachment (id=132695) [details]
Should fix chromium
------- Comment #12 From 2012-03-19 16:08:00 PST -------
I'm not going to try and fix Win until bug 80680 lands, as it would involve changing WTF/WTF.vcproj to install into JavaScriptCore/private, which seems wrong...
------- Comment #13 From 2012-03-19 16:11:27 PST -------
Created an attachment (id=132700) [details]
might fix Qt
------- Comment #14 From 2012-03-19 16:26:10 PST -------
If someone from the EFL port could help me understand how to fix EFL before landing, that would be nice.
------- Comment #15 From 2012-03-19 16:40:57 PST -------
Created an attachment (id=132714) [details]
Should fix EFL and CMake in general
------- Comment #16 From 2012-03-19 16:45:25 PST -------
(From update of attachment 132714 [details])
Thanks!  (removing review flag for now).
------- Comment #17 From 2012-03-19 17:45:25 PST -------
(From update of attachment 132714 [details])
Attachment 132714 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/11991117
------- Comment #18 From 2012-03-19 17:54:53 PST -------
Odd.  Somehow we broke qt-wk2 in all this.
------- Comment #19 From 2012-03-19 17:56:36 PST -------
Or Qt's dependency tracking could just be broken. :)  Thus meaning the previous "pass" was likely bogus:

===== BUILD FAILED ======

The build failed with exit code 2. This may have been because you

  - added an #include to a source/header
  - added a Q_OBJECT macro to a class
  - added a new resource to a qrc file

as dependencies are not automatically re-computed for local developer builds.
You may try computing dependencies manually by running 'make qmake' in:

  /storage/WebKit-qt-wk2-ews/WebKitBuild/Release

or passing --makeargs="qmake" to build-webkit.
------- Comment #20 From 2012-03-19 18:10:42 PST -------
(From update of attachment 132714 [details])
Attachment 132714 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/11989489
------- Comment #21 From 2012-03-19 18:26:00 PST -------
(From update of attachment 132714 [details])
Attachment 132714 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/11986595
------- Comment #22 From 2012-03-19 18:51:17 PST -------
Created an attachment (id=132742) [details]
fix Mac
------- Comment #23 From 2012-03-19 22:29:21 PST -------
(From update of attachment 132742 [details])
Attachment 132742 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/11999085
------- Comment #24 From 2012-03-19 22:33:44 PST -------
(From update of attachment 132742 [details])
Attachment 132742 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12002072
------- Comment #25 From 2012-03-19 22:36:56 PST -------
(From update of attachment 132742 [details])
Attachment 132742 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/11994115
------- Comment #26 From 2012-03-19 22:45:23 PST -------
Created an attachment (id=132763) [details]
attempt to fix Qt
------- Comment #27 From 2012-03-19 22:47:56 PST -------
I'm not even sure that my changes from "Platform.h" to <wtf/Platform.h> are even correct for Qt, since maybe it includes Platform.h in its API?  Also, it's not clear to me which .pri/.pro file I would need to edit to add Source/WTF to the header include path for QtWebKit.  Ossy?
------- Comment #28 From 2012-03-19 23:16:06 PST -------
(From update of attachment 132763 [details])
Attachment 132763 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12002103
------- Comment #29 From 2012-03-19 23:49:37 PST -------
Created an attachment (id=132771) [details]
attempt to fix qt-wk2
------- Comment #30 From 2012-03-20 00:21:32 PST -------
(From update of attachment 132771 [details])
Attachment 132771 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/11995134
------- Comment #31 From 2012-03-20 00:37:30 PST -------
(From update of attachment 132771 [details])
Attachment 132771 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12000135
------- Comment #32 From 2012-03-20 00:43:12 PST -------
Created an attachment (id=132775) [details]
Another attempt to fix qt-wk2
------- Comment #33 From 2012-03-20 00:44:57 PST -------
I'm going to check the Qt WK2 build today.
------- Comment #34 From 2012-03-20 00:51:23 PST -------
I think I'm pretty close. :)  The only build I haven't attempted yet is Win.  Theoretically EFL works after Raphael's patch update.  If you find qt* doesn't work, feel encouraged to upload an updated patch!
------- Comment #35 From 2012-03-20 01:01:48 PST -------
(From update of attachment 132775 [details])
Attachment 132775 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12002153
------- Comment #36 From 2012-03-20 01:15:29 PST -------
(From update of attachment 132775 [details])
Attachment 132775 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12007138
------- Comment #37 From 2012-03-20 01:49:55 PST -------
Created an attachment (id=132779) [details]
FixEfl
------- Comment #38 From 2012-03-20 02:14:33 PST -------
(From update of attachment 132779 [details])
Attachment 132779 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12000165
------- Comment #39 From 2012-03-20 02:24:16 PST -------
(From update of attachment 132779 [details])
Attachment 132779 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12000173
------- Comment #40 From 2012-03-20 03:41:00 PST -------
Created an attachment (id=132789) [details]
Fix Qt build based on attachment-132779

It isn't the best fix, but it works at least. :)
------- Comment #41 From 2012-03-20 03:42:43 PST -------
Tor Arne, could you review/optimize the Qt part of this patch.
------- Comment #42 From 2012-03-20 04:00:11 PST -------
(From update of attachment 132789 [details])
Attachment 132789 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12005198
------- Comment #43 From 2012-03-20 05:06:15 PST -------
(From update of attachment 132789 [details])
Attachment 132789 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/11995225
------- Comment #44 From 2012-03-20 06:01:08 PST -------
(From update of attachment 132789 [details])
Attachment 132789 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12007232
------- Comment #45 From 2012-03-20 06:15:39 PST -------
(From update of attachment 132779 [details])
Clearing r? flag from the patch.
------- Comment #46 From 2012-03-20 10:13:14 PST -------
Sweet!  thank you both for your help!
------- Comment #47 From 2012-03-20 11:03:23 PST -------
Created an attachment (id=132854) [details]
Attempt to fix Win-EWS
------- Comment #48 From 2012-03-20 11:27:10 PST -------
(From update of attachment 132854 [details])
Attachment 132854 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12022003
------- Comment #49 From 2012-03-20 11:41:19 PST -------
win-ews hates me. :p  Just gonna wait for bug      80680 to land, or for someone with windows-fu to fix the patch.
------- Comment #50 From 2012-03-20 15:09:42 PST -------
Created an attachment (id=132910) [details]
Attempt to fix win-ews again
------- Comment #51 From 2012-03-20 15:33:13 PST -------
(From update of attachment 132910 [details])
Attachment 132910 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12043019
------- Comment #52 From 2012-03-20 15:39:37 PST -------
Created an attachment (id=132912) [details]
Attempt to fix win-ews again
------- Comment #53 From 2012-03-20 16:09:12 PST -------
(From update of attachment 132912 [details])
Attachment 132912 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12070030
------- Comment #54 From 2012-03-20 16:18:22 PST -------
Created an attachment (id=132922) [details]
another attempt to fix win-ews
------- Comment #55 From 2012-03-20 17:07:36 PST -------
Created an attachment (id=132934) [details]
Patch
------- Comment #56 From 2012-03-20 17:08:25 PST -------
A soon as the EWSes roll green, this is ready for landing.  (They should all be green now.)

Will send an announcement email to webkit-dev about the move.
------- Comment #57 From 2012-03-20 22:44:01 PST -------
(From update of attachment 132934 [details])
All green!!  They said it couldn't be done.
------- Comment #58 From 2012-03-20 22:48:55 PST -------
(From update of attachment 132934 [details])
Rejecting attachment 132934 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
geLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Tools/DumpRenderTree/efl/CMakeLists.txt
patching file Tools/DumpRenderTree/qt/DumpRenderTree.pro
patching file Tools/QtTestBrowser/QtTestBrowser.pro
patching file Tools/Scripts/build-webkit
patching file CMakeLists.txt
patching file ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'Adam Barth']" exit_code: 1 cwd: /mnt/git/webkit-commit-queue/

Full output: http://queues.webkit.org/results/12072181
------- Comment #59 From 2012-03-20 22:50:42 PST -------
Committed r111504: <http://trac.webkit.org/changeset/111504>
------- Comment #60 From 2012-03-21 09:26:50 PST -------
This broke the Windows build, which I fixed in http://trac.webkit.org/changeset/111550